Ubuntu

Network printing fails. Worked before upgrade to 12.04

Reported by crf on 2012-05-02
126
This bug affects 26 people
Affects Status Importance Assigned to Milestone
cups (Ubuntu)
High
Unassigned
Precise
High
Unassigned
system-config-printer (Ubuntu)
Undecided
Unassigned
Precise
Undecided
Unassigned

Bug Description

I can't print after upgrading to 12.04
using cups 1.5.2

On the jobs page it is written any failed job:
name: Unknown
user: Withheld
size: 11k
pages: Unknown
state: completed at Tue 01 May 2012 06:47:34 PM PDT "Unable to add document to print job."

(The printer works fine using other computers.)
---
ApportVersion: 2.0.1-0ubuntu7
Architecture: amd64
DistroRelease: Ubuntu 12.04
Lpstat:
 device for clp320SamsungProprietary: ipp://192.168.1.69
 device for DNSSD_Samsung_CLP-320_Series: dnssd://Samsung%20CLP-320%20Series%20(SEC001599765970)._ipp._tcp.local/
MachineType: Dell Inc. Inspiron 1545
Package: cups 1.5.2-9ubuntu1
PackageArchitecture: amd64
Papersize: letter
PpdFiles:
 DNSSD_Samsung_CLP-320_Series: Samsung CLP-320 Series (SPL-C)
 clp320SamsungProprietary: Samsung CLP-320 Series (SPL-C)
ProcKernelCmdLine: root=UUID=9c0edb3e-d193-44ce-829f-858ced0747b2 ro acpi_sleep=old_ordering quiet splash resume=/dev/sda5
Tags: precise
Uname: Linux 3.4.0-030400rc4-generic x86_64
UpgradeStatus: Upgraded to precise on 2012-04-28 (3 days ago)
UserGroups: adm admin cdrom dialout libvirtd lp lpadmin plugdev sambashare
dmi.bios.date: 12/07/2009
dmi.bios.vendor: Dell Inc.
dmi.bios.version: A14
dmi.board.name: 0G848F
dmi.board.vendor: Dell Inc.
dmi.chassis.type: 8
dmi.chassis.vendor: Dell Inc.
dmi.modalias: dmi:bvnDellInc.:bvrA14:bd12/07/2009:svnDellInc.:pnInspiron1545:pvr:rvnDellInc.:rn0G848F:rvr:cvnDellInc.:ct8:cvr:
dmi.product.name: Inspiron 1545
dmi.sys.vendor: Dell Inc.
mtime.conffile..etc.apparmor.d.usr.sbin.cupsd: 2012-05-01T18:43:00
mtime.conffile..etc.cups.cupsd.conf: 2012-05-01T18:03:02

apport information

tags: added: apport-collected precise
description: updated

apport information

apport information

apport information

crf (chrisfahlman) wrote : Locale.txt

apport information

crf (chrisfahlman) wrote : Lspci.txt

apport information

crf (chrisfahlman) wrote : Lsusb.txt

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

crf (chrisfahlman) wrote :
Jack (marcocunhasj) wrote :

I don't know it this is the same bug but after a fresh 12.04 64bits install i can't add a network printer. When setting authentication details I'm always getting the same error: printer not available. And I'm sure it is available! It happens with all the network printers installed...
Could it be a samba problem?
jlv

crf (chrisfahlman) wrote :

I can't print using either the foo2qpdl driver or the Samsung proprietary driver.
Foomatic driver built and installed from here: http://foo2zjs.rkkda.com/
Samsung driver from here: http://www.samsung.com/us/support/owners/product/CLP-325W/XAA

Using system config printer, there are status messages:

(alert) Printer 'Foo2QPDL-Samsung-CLP-325' has no toner left.
(info) Printer 'Foo2QPDL-Samsung-CLP-325': 'cups-ipp-conformance-failure-report'.
(error) Printer 'Foo2QPDL-Samsung-CLP-325': 'cups-ipp-missing-job-history'.

There is toner left. I checked using the Samsung printer's web interface.

Maybe the conformance-failure-report is true. But it worked with older versions of cups, prior to updating Ubuntu to 12.04.

Attaching a wireshark log of trying to print a notepad document using foo2qpdl driver.

crf (chrisfahlman) wrote :

This is what the toner level screen in system-config-printer looks like for the printer using the foo2qpdl driver.
The names given to the toners look strange.
It also shows cups alert warning and error messages.

The system config printer screen for the printer using the Samsung proprietary driver looks similar.

Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in cups (Ubuntu):
status: New → Confirmed
Fabio Marconi (fabiomarconi) wrote :

[ 4.711204] eth1: Broadcom BCM4328 802.11 Hybrid Wireless Controller 5.100.82.38
---
Ubuntu Bug Squad volunteer triager
http://wiki.ubuntu.com/BugSquad

crf (chrisfahlman) wrote :

I tried running a live cd of Ubuntu 11.10 and printing and levels queries worked.
This cd had cups 1.5.0-8

12.04 is running cups 1.5.2-9

mcblades (m-c-blades) wrote :

I have the same problem printing to a networked konica-minolta 4750en

cups 1.50-9 prints fine using pdftops in oneiric.

cups1.52.x crashes the printer (printing via ghostscript).

I am currently printing via a cups 1.50 server in a virtualbox with 11.10 installed in it.

Not ideal really.

James Fairman (fairman-jim) wrote :

Having same issue as McBlades above me. We have two Konica Minolta C280 print stations where I work. Attemping to print from any of our machines that are running 12.04 crashes the printer, forcing it to reboot. All of the remaining machines running 11.10 can print with no problems.

NLin TKO (nl-gaijin) wrote :

I have the same problem. I can't print since upgrading to 12.04. Printer type Canon Pixus iP3500. Used to be able to print when running 11.10 (64 bit version).

NathanW (nathan-wehrman) wrote :

I'm having a similar issue. It says the network printer might be unreachable but eventually mine will print:

3.2.0-24-generic #37-Ubuntu SMP Wed Apr 25 08:43:52 UTC 2012 i686 i686 i386 GNU/Linux
cups ver 1.5.2-9ubuntu1

HP 4100 mfp ( likes to say the printer is unreachable and then within about 10 minutes it will print)
Xerox Docucolor 3535 (driver extracted and loaded from the windows xerox driver - seems to work fine)

Ingo Haase (haase) wrote :

Same problem here with a KONICA MINOLTA C220 PS after upgrade to 12.04.

Some files can be printed fine,
some files crashes the printer, forcing it to reboot,
some files crashes the printer so hard that I have to pull the printers plug to reboot it.

Here is what the printer spits out just before going to nirvana:

ERROR:
ioerror
OFFENDING COMMAND:
--nostringval--
STACK:
-mark-
-mark-
-mark-

Andrew (node41) wrote :

Same problem here....

Upgraded from Ubuntu Desktop 64bit 11.10 to 12.04 (both with gnome-shell)

The printer was still visible when i finished upgrading, but wouldn't print...

Got 11.10 on a virtual machine, works great to print

Yes, Windows Network printer... Konica Minolta C650/C550 and HP Laserjet 4100

I did just as I did in 11.10:
went to system-config-printer -> add -> find network printer -> type in ip and choose the printer..
but when i click forward, terminal gives message: No ID match for device lpd://the.ip.goes.here.
then provide ppd file, but status for printer says no connection...

The weird thing is that the printer gives me messages like if there is no paper or toner left... tried switching toner and fill in with paper...

Tried as well choosing other printer types... The printers answers aswell on ping

And some of the same as Ingo...
Print test page work sometimes
some files crashes the printer, forcing it to reboot,
some files crashes the printer so hard that I have to pull the printers plug to reboot it.

gives messages about unreachable printer, could not connect and etc..

PeterW (peterbat) wrote :
Download full text (4.6 KiB)

I have the same problem reported several times for this bug (and also in MANY posts on forums - try a Google search!).

I have 4 Linux machines and a networked Canon MX860 multifunction printer.

All PCs could print OK but those I recently upgraded from Ubuntu 64-bit 11.10 to 12.04 LTS now cannot print even though CUPS can locate the networked printer and sucessfully install printer drivers.

The remaining two PCs run are still communicating fine with the printer - one is running MInt 12 and the other Ubuntu 10.04 32-bit.

On the two "broken" machines attempting to print a test page fails with a generic error message. The error log generated by the printing troubleshooter reports:

D [10/May/2012:10:41:20 +1000] cupsdSetBusyState: newbusy="Dirty files", busy="Active clients and dirty files"
D [10/May/2012:10:41:20 +1000] cupsdReadClient: 16 POST / HTTP/1.1
D [10/May/2012:10:41:20 +1000] cupsdSetBusyState: newbusy="Active clients and dirty files", busy="Dirty files"
D [10/May/2012:10:41:20 +1000] cupsdAuthorize: No authentication data provided.
D [10/May/2012:10:41:20 +1000] cupsdReadClient: 16 1.1 Get-Jobs 1
D [10/May/2012:10:41:20 +1000] Get-Jobs ipp://localhost/printers/
D [10/May/2012:10:41:20 +1000] [Job 5] Loading attributes...
D [10/May/2012:10:41:20 +1000] Returning IPP successful-ok for Get-Jobs (ipp://localhost/printers/) from localhost
D [10/May/2012:10:41:20 +1000] cupsdSetBusyState: newbusy="Dirty files", busy="Active clients and dirty files"
D [10/May/2012:10:41:20 +1000] cupsdReadClient: 16 POST / HTTP/1.1
D [10/May/2012:10:41:20 +1000] cupsdSetBusyState: newbusy="Active clients and dirty files", busy="Dirty files"
D [10/May/2012:10:41:20 +1000] cupsdAuthorize: No authentication data provided.
D [10/May/2012:10:41:20 +1000] cupsdReadClient: 16 1.1 Get-Jobs 1
D [10/May/2012:10:41:20 +1000] Get-Jobs ipp://localhost/printers/
D [10/May/2012:10:41:20 +1000] [Job 3] Loading attributes...
D [10/May/2012:10:41:20 +1000] [Job 4] Loading attributes...
D [10/May/2012:10:41:20 +1000] Returning IPP successful-ok for Get-Jobs (ipp://localhost/printers/) from localhost
D [10/May/2012:10:41:20 +1000] cupsdSetBusyState: newbusy="Dirty files", busy="Active clients and dirty files"
D [10/May/2012:10:41:21 +1000] cupsdReadClient: 16 PUT /admin/conf/cupsd.conf HTTP/1.1
D [10/May/2012:10:41:21 +1000] cupsdSetBusyState: newbusy="Active clients and dirty files", busy="Dirty files"
D [10/May/2012:10:41:21 +1000] cupsdAuthorize: No authentication data provided.
D [10/May/2012:10:41:21 +1000] cupsdIsAuthorized: username=""
D [10/May/2012:10:41:21 +1000] cupsdSendHeader: 16 WWW-Authenticate: Basic realm="CUPS", trc="y"
D [10/May/2012:10:41:21 +1000] cupsdCloseClient: 16
D [10/May/2012:10:41:21 +1000] cupsdSetBusyState: newbusy="Dirty files", busy="Active clients and dirty files"
D [10/May/2012:10:41:21 +1000] cupsdAcceptClient: 16 from localhost (Domain)
D [10/May/2012:10:41:21 +1000] cupsdReadClient: 16 PUT /admin/conf/cupsd.conf HTTP/1.1
D [10/May/2012:10:41:21 +1000] cupsdSetBusyState: newbusy="Active clients and dirty files", busy="Dirty files"
D [10/May/2012:10:41:21 +1000] cupsdAuthorize: Authorized as peterw using PeerCred
D [10/May/2012:10:41:21 +...

Read more...

PeterW (peterbat) wrote :

I have solved this problem for Canon MX860 networked printer.

Clues came from a report of a similar problem with Arch linux and from the cups error_log file.

During upgrade to 12.04, a key library was deleted. In my case it was libpopt.so.0.0.0. From my working Mint 12 installation I copied both the 64-bit version (in /lib) and the 32-bit version (in /lib32) to these folders on a sick 12.04 machine as root. I then created symbolic links to these files. That is:

sudo cp /path to 64-bit source copy/libpopt.so.0.0.0 /lib/libpopt.so.0.0.0
cd /lib
sudo ln -s libpopt.so.0.0.0 libpopt.so.0

sudo cp /path to 32-bit source copy/libpopt.so.0.0.0 /lib32/libpopt.so.0.0.0
cd /lib32
sudo ln -s libpopt.so.0.0.0 libpopt.so.0

I restarted cups with:
sudo restart cups

Finally, I completely removed then reinstalled the printer driver packages. In my case the packages were:

cnijfilter-common_3.10-1_amd64.deb
cnijfilter-mx860series_3.10-1_amd64.deb

So here 10 people have reported 10 different bugs.

The bug originally reported here is the problem of a Samsung network printer connected via IPP not printing with 'cups-ipp-conformance-failure-report' and 'cups-ipp-missing-job-history'. This is also reported as bug 973270. Marking as duplicate.

All other problems are different bugs. Please open separate bug reports for them.

Jack, your problem is with IPP authentication -> Please report a new bug

Fabio, what do you mnean with your posting?

McBlades, James, Ingo, Andrew, you have problems with a Konica Minolta PostScript printer which crashes or errors when receiving PostScript from Ubuntu 12.04. -> Please report a new bug.

Andrew, is your HP printer working correctly?

NathanW, your HP printer needs 10 minutes (probably some timeout) to start printing. Please report a new bug.

PeterW, you have problems with a Canon printer with its proprietary driver from Canon. This driver is harcoded to use a certain version of a library and this library got replaced by a new version in Ubuntu 12.04. Therefore the driver stops working. This is a bug in Canon's driver and not in Ubuntu. Please repoort the problem to Canon. Tell them also on how to make drivers correctly:

http://www.linuxfoundation.org/collaborate/workgroups/openprinting/writingandpackagingprinterdrivers

NLin, if you are using Canon's drivers you have probably the same problem as PeterW, if not, report a new bug.

Everyone, when reporting new bugs, please follow the instructions on

https://wiki.ubuntu.com/DebuggingPrintingProblems

crf (chrisfahlman) wrote :

Regarding comment #20

I was able to get the system config printer screens levels screen looking ok for my printer.

I had to edit /etc/foomatic/filter.conf
changing
ps_accounting: 0
from
ps_accounting: 1

still no luck actually printing.

McBlades, James, Ingo, Andrew, your problem with the Konica Minolta printer is most probably caused by switching the pdftops CUPS filter from Poppler to Ghostscript and allowing higher image rendering resolutions when the pdftops filter has to turn graphical structures of the PDF input file into bitmaps when converting to PostScript and PostScript does not support these structures.

I have uploaded a cups-filters package to precise-proposed now which switches back to Poppler and limits the image rendering resolution to 360 dpi. Please test the package as soon as it gets available for download and give feedback here. This is required to make the new package an official update for Precise. A comment with testing instructions will get posted on bug 994477, 997728, and 998087.

With the new package you can also test the behavior when switching between use of Poppler and Ghostscript and changing the resolution limit. Run the following commands in a terminal window for switching between Ghostscript and Poppler:

lpadmin -p <printer> -o pdftops-renderer-default=gs
lpadmin -p <printer> -o pdftops-renderer-default=pdftops

and

lpadmin -p printer -R pdftops-renderer-default

to remove the setting. To change the resolution limit run a command like

lpadmin -p <printer> -o pdftops-max-image-resolution-default=1440

and set unlimited resolution via

lpadmin -p <printer> -o pdftops-max-image-resolution-default=0

or remove your setting with

lpadmin -p <printer> -R pdftops-max-image-resolution-default

Always replace "<printer>" by your printer's queue name (enter "lpstat -v" to find your printer's queue name).

See also

/usr/share/doc/cups-filters/README.txt.gz

See and tell us in this bug report which works best for you.

crf (chrisfahlman) wrote :
James Fairman (fairman-jim) wrote :

Till,

How do I obtain the updated package for cups-filters you added to precise-proposed? Looking forward to seeing if this fixes our problems.

Hello crf, or anyone else affected,

Accepted cups-filters into precise-proposed. The package will build now and be available in a few hours. Please test and give feedback here. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you in advance!

tags: added: verification-needed

Another test you should try:

After having tested the proposed package without changing any default settings, run the following commands in a terminal window

lpadmin -p <printer> -o pdftops-renderer-default=gs
lpadmin -p <printer> -o pdftops-max-image-resolution-default=1440
lpadmin -p <printer> -o psdebug=true

with <printer> being the name of your print queue (You can find the name by ruuning the "lpstat -v" command).

After that try to print again. Does it work? If it works and if it is too slow, run

lpadmin -p <printer> -o pdftops-max-image-resolution-default=720

and try again. If it is still too slow, run

lpadmin -p <printer> -o pdftops-max-image-resolution-default=360

and try again.

Please report all your results here.

To get back to the default settings of the proposed package run the commands

lpadmin -p <printer> -R pdftops-renderer-default
lpadmin -p <printer> -R pdftops-max-image-resolution-default
lpadmin -p <printer> -R psdebug

Launchpad Janitor (janitor) wrote :
Download full text (4.8 KiB)

This bug was fixed in the package cups - 1.5.3-1

---------------
cups (1.5.3-1) unstable; urgency=low

  [ Till Kamppeter ]
  * New upstream release
     - Numerous fixes on IPP (LP: #945028, LP: #973270, LP: #990734,
       LP: #992468, LP: #992982, LP: #1000172, LP: #1000758)
     - USB backend based on the maintained libusb 1.0.x with support for
       bi-directional communication
     - Fixes on SNMP-based supply level reporting
     - PostScript prtinter auto-configuration reliable now
     - Several fixes on PostScript, SSL, authenticated printing, and
       networking issues
  * debian/patches/ipp-fixes-1.5.3.patch,
    debian/patches/fix-empty-translations.patch,
    debian/patches/ppd-cache-fix-crash.patch,
    debian/patches/commandtops-make-robust-against-broken-postscript.patch,
    debian/patches/cups-polld-reconnect.patch,
    debian/patches/usb-backend-libusb-1.0.patch,
    debian/patches/usb-backend-backchannel-support.patch: Removed patches which
    got included upstream.
  * debian/patches/fix-supply-level-computation-for-percent-supply-unit.patch,
    debian/patches/fix-supply-levels-for-enumerated-prtmarkersupplieslevel.patch,
    debian/patches/fix-status-reports-when-supply-levels-grow.patch,
    debian/patches/add-status-reports-for-full-waste-trays-and-cleaner-unit-eol.patch,
    debian/patches/match-marker-colorants-which-use-non-standard-string.patch,
    debian/patches/truncate-marker-supply-names-at-comma.patch: Removed supply
    level report fixes. This got solved differently upstream.
  * debian/patches/do-not-suppress-inputslot-setting-with-empty-ap-d-inputslot.patch:
    Removed, problem solved differently upstream.
  * debian/patches/cups-avahi.patch: Manually regenerated to adapt to upstream
    changes.
  * debian/patches/ppd-poll-with-client-conf.patch,
    debian/patches/colord-support.patch,
    debian/patches/airprint-support.patch,
    debian/patches/no-conffile-timestamp.patch,
    debian/patches/drop_unnecessary_dependencies.patch,
    debian/patches/read-embedded-options-from-incoming-postscript-and-add-to-ipp-attrs.patch,
    debian/patches/show-compile-command-lines.patch: Refreshed using quilt.
  * debian/patches/usb-backend-busy-loop-fix.patch: Correct loops to repeat
    claiming interfaces on USB devices when they are busy. Before, hitting busy
    state made the device opening function error out without comment
    (LP: #987485).
  * debian/patches/usb-backend-detach-usblp-earlier-crash-guards.patch: Protect
    against crashes by checking error codes of libusb functions (LP: #997040)
    and detach usblp kernel module in an earlier stage when opening a device
    (LP: #987485, LP: #997040).
  * debian/patches/usb-backend-initialize-usblp-attached-state.patch: Initialize
    usblp_attached field in printer data structure to assure that detaching
    and re-attaching the usblp kernel module is always done correctly
    (LP: #902535, LP: #959676, LP: #960666, LP: #987485,
    LP: #995111, LP: #997040, LP: #1000253, LP: #1001028).
  * debian/patches/install-sh-remove-bashism.patch: Removed bashism.
  * debian/local/blacklist-cups-usblp.conf, debian/cups.postinst,
    debian/cups.install: Bla...

Read more...

Changed in cups (Ubuntu):
status: Confirmed → Fix Released

New CUPS package with the following (and some addtional) fixes uploaded to precise-proposed (proposed updates for 12.04 (Precise)):

 - Crash and busy loop fixes on the USB backend
 - "usblp" kernel module blacklisted again as it also causes problems with the new USB backend
 - Lots of fixes on the IPP backend and also on the IPP server part in the CUPS daemon
 - Other networking issues

These fixes should address most of the bugs reported shortly after the release of Precise, especially the problems with USB printing and network printing. As soon as the package is approved and made available for testing and additional comment with installation instructions will get posted here. Please test the new package then and report here whether this solves your problems. We will decide on the results whether the package will be made an official update for Precise.

Please remove/cancel all jobs and turn off and turn on your printer before testing.

debdiff attached.

Changed in cups (Ubuntu Precise):
importance: Undecided → High
milestone: none → precise-updates
status: New → Fix Committed
Changed in cups (Ubuntu):
importance: Undecided → High
Martin Pitt (pitti) wrote :

Hello crf, or anyone else affected,

Accepted cups into precise-proposed. The package will build now and be available in a few hours. Please test and give feedback here. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you in advance!

crf (chrisfahlman) wrote :

I tried printing, and also deleting and readding the printer in Ubuntu, but I get the printer error message about missing job history and the conformance failure report.

Did you try the CUPS package in -proposed (comment #43)? Did you try also the CUPS package in my PPA which I have created as a further approach (bug 973270, comment #21)? If not, please try these.

crf (chrisfahlman) wrote :

Yes, I had enabled proposed, and had enabled your ppa.

ralf schuster (r-schuster) wrote :

I had the same problem with a Samsung CLX-3185W printer. With the package in -proposed it didn't work either.
And thats how I got it to work:
Logging in to cups localhost:631. Delete the printer. Search for network printer and add it. Also authorize in the same setup the needed users. Restart cups.
And it works. Thanks Till!
BTW the scanner in this printer was working before already without a glitch. Weired...

Ralf, now having your printer working, can you attach your /etc/cups/printers.con file? Thanks.

ralf schuster (r-schuster) wrote :

Here it is

ralf schuster (r-schuster) wrote :

Here it is

Ingo Haase (haase) wrote :

KONICA Minolta PS

I switched to cups 1.5.2 (many thanks Till), but printer still crashes.

Dropping the resolution with pdftops-max-image-resolution-default=360 the same, printer crashes.

so I'm waiting for cups-filters 1.0.18.

So far, the Generic PostScript Level 1 Printer Foomatic/Postscript1 (recommended) driver works in most cases.

Ingo, which versions of CUPS did you try? From -proposed (1.5.3-0ubuntu1, bug 973270) or my PPA (1.5.3-0ubuntu2~ppa1)? Or did you try both? cups-filters 1.0.18 is also in -proposed, see bug 994477. Please try also this package and tell whether it helps.

Ralf, your new printer setup switched your printer to a JetDirect/AppSocket connection (formally it was probably IPP). This is usually the recommended connection type as it has less compatibility problems.

As the fixes done so far on CUPS' IPP backend did not solve this problem we should avoid using the IPP backend whenever possible. IPP implementations in printers are too often not conforming well with the standards. Therefore I have made a change on system-config-printer now to default to the AppSocket/JetDirect protocol with highest priority and lets IPP being used only if no other protocol is supported by the printer. Note that this is a workaround and not really a fix.

Added system-config-printer task ...

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package system-config-printer - 1.3.8+20120201-0ubuntu9

---------------
system-config-printer (1.3.8+20120201-0ubuntu9) quantal; urgency=low

  * debian/patches/83_improved-sorting-of-device-lists.patch: Improved sort
    order of device entries, so that in the "Connections" list of a detected
    network printer "AppSocket/JetDirect" always has highest priority and
    "IPP" has lowest. This way we avoid that network printers get set up
    with IPP connection, as many printers do not conform to the IPP
    standards. "AppSocket/JetDirect" is a very simple protocol which usually
    works (Works around LP: #945028, LP: #973270, LP: #990734, LP: #992468,
    LP: #992982).
 -- Till Kamppeter <email address hidden> Tue, 29 May 2012 19:26:31 +0200

Changed in system-config-printer (Ubuntu):
status: New → Fix Released

Uploaded the system-config-printer package with the workaround to precise-proposed. As soon as the package is available to test on Precise, this will be announced with another comment with installation instructions. Please install and test the package then and tell us your results. We need your feedback to be able to make the package an official update for Precise.

To test the new package, install it and then remove the print queue for your printer. After that create the queue again with system-config-printer. Please use the default settings which system-config-printer suggests. Can you print with the new print queue?

For the SRU team: debdiff attached.

Ingo Haase (haase) wrote :

KONICA Minolta bizhub 220 PS

Hi Till,

I switched to your PPA (1.5.3-0ubuntu2~ppa1). Silly warning messages ("toner empty") are gone now. But still some crashes. Not all pdf-files crashes the printer, only about 10 %. I can't do as much testing as I want because this is the OFFICE printer.

After that I installed cups-filters 1.0.18 from -proposed and swiched to poppler. Looks promising, so far no more crashes. I will report after some days.

Thank you!

Colin Watson (cjwatson) wrote :

Hello crf, or anyone else affected,

Accepted system-config-printer into precise-proposed. The package will build now and be available in a few hours. Please test and give feedback here. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you in advance!

Changed in system-config-printer (Ubuntu Precise):
status: New → Fix Committed

Taken bug out of SRU process for cups-filters in Precise, persons who complained about this problem here failed to open a new bug and did not answer here.

crf (chrisfahlman) wrote :

Printing now works.

I recreated the Samsung 325W printer using the JetDirect/AppSocket protocol.
Using either the Samsung proprietary or Foo2QPDL drivers, the printer seems to work as well as it did the past.

Thank you very much for the work-around.

crf, thank you for testing, marking system-config-printer SRU for Precise as verified.

Ingo Haase (haase) wrote :

KONICA Minolta bizhub c220 PS

After two busy days in office no more crashes! :-)
Thank you so much!

tags: added: verification-done
removed: verification-needed
Launchpad Janitor (janitor) wrote :
Download full text (3.8 KiB)

This bug was fixed in the package cups - 1.5.3-0ubuntu1

---------------
cups (1.5.3-0ubuntu1) precise-proposed; urgency=low

  [ Till Kamppeter ]
  * New upstream release
     - Numerous fixes on IPP (LP: #945028, LP: #973270, LP: #990734,
       LP: #992468, LP: #992982, LP: #1000172, LP: #1000758)
     - USB backend based on the maintained libusb 1.0.x with support for
       bi-directional communication
     - Fixes on SNMP-based supply level reporting
     - PostScript prtinter auto-configuration reliable now
     - Several fixes on PostScript, SSL, authenticated printing, and
       networking issues
  * debian/patches/ipp-fixes-1.5.3.patch,
    debian/patches/fix-empty-translations.patch,
    debian/patches/ppd-cache-fix-crash.patch,
    debian/patches/commandtops-make-robust-against-broken-postscript.patch,
    debian/patches/cups-polld-reconnect.patch,
    debian/patches/usb-backend-libusb-1.0.patch,
    debian/patches/usb-backend-backchannel-support.patch: Removed patches which
    got included upstream.
  * debian/patches/fix-supply-level-computation-for-percent-supply-unit.patch,
    debian/patches/fix-supply-levels-for-enumerated-prtmarkersupplieslevel.patch,
    debian/patches/fix-status-reports-when-supply-levels-grow.patch,
    debian/patches/add-status-reports-for-full-waste-trays-and-cleaner-unit-eol.patch,
    debian/patches/match-marker-colorants-which-use-non-standard-string.patch,
    debian/patches/truncate-marker-supply-names-at-comma.patch: Removed supply
    level report fixes. This got solved differently upstream.
  * debian/patches/do-not-suppress-inputslot-setting-with-empty-ap-d-inputslot.patch:
    Removed, problem solved differently upstream.
  * debian/patches/cups-avahi.patch: Manually regenerated to adapt to upstream
    changes.
  * debian/patches/ppd-poll-with-client-conf.patch,
    debian/patches/colord-support.patch,
    debian/patches/airprint-support.patch,
    debian/patches/no-conffile-timestamp.patch,
    debian/patches/drop_unnecessary_dependencies.patch,
    debian/patches/read-embedded-options-from-incoming-postscript-and-add-to-ipp-attrs.patch,
    debian/patches/show-compile-command-lines.patch: Refreshed using quilt.
  * debian/patches/usb-backend-busy-loop-fix.patch: Correct loops to repeat
    claiming interfaces on USB devices when they are busy. Before, hitting busy
    state made the device opening function error out without comment
    (LP: #987485).
  * debian/patches/usb-backend-detach-usblp-earlier-crash-guards.patch: Protect
    against crashes by checking error codes of libusb functions (LP: #997040)
    and detach usblp kernel module in an earlier stage when opening a device
    (LP: #987485, LP: #997040).
  * debian/patches/usb-backend-initialize-usblp-attached-state.patch: Initialize
    usblp_attached field in printer data structure to assure that detaching
    and re-attaching the usblp kernel module is always done correctly
    (LP: #902535, LP: #959676, LP: #960666, LP: #987485,
    LP: #995111, LP: #997040, LP: #1000253, LP: #1001028).
  * debian/patches/install-sh-remove-bashism.patch: Removed bashism.
  * debian/local/blacklist-cups-usblp.conf, debian/cups.postinst,
    de...

Read more...

Changed in cups (Ubuntu Precise):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package system-config-printer - 1.3.8+20120201-0ubuntu8.1

---------------
system-config-printer (1.3.8+20120201-0ubuntu8.1) precise-proposed; urgency=low

  * debian/patches/83_improved-sorting-of-device-lists.patch: Improved sort
    order of device entries, so that in the "Connections" list of a detected
    network printer "AppSocket/JetDirect" always has highest priority and
    "IPP" has lowest. This way we avoid that network printers get set up
    with IPP connection, as many printers do not conform to the IPP
    standards. "AppSocket/JetDirect" is a very simple protocol which usually
    works (Works around LP: #945028, LP: #973270, LP: #990734, LP: #992468,
    LP: #992982).
 -- Till Kamppeter <email address hidden> Tue, 29 May 2012 19:26:31 +0200

Changed in system-config-printer (Ubuntu Precise):
status: Fix Committed → Fix Released

I have uploaded a modified CUPS package to my PPA now. Please add my PPA to your system as described on

https://launchpad.net/~till-kamppeter/+archive/ppa

in the section "Adding this PPA to your system" and then install the new CUPS package, preferably by simply doing a full system update. The CUPS version must be 1.5.3-0ubuntu2~ppa3.

This CUPS version contains two IPP backends: One is called "ipp" and is the new one of CUPS 1.5.x. This version does not work with your printer. The other is called "ipp14" and is the IPP backend of CUPS 1.4.x, the backend which got used in Natty (11.04) and Oneiric (11.10 with all updates). This backend should work with your printer, as Ubuntu 11.10 worked for you.

So I want to ask you to test with this backend.

Here are ways to get it used:

1. In a terminal window, run the command

lpstat -v

This gives you a list with all print queues. Entries for your non-working printer look like this:

device for ipp-printer: ipp://192.168.1.1/ipp

The word after "device for" is the name of the print queue, the string after the colon is the URI (Unified Resource Identifier) for your print queue.

You need to change your URI so that it starts with "ipp14://" instead of "ipp://". This you do with the command

lpadmin -p <queue name> -v ipp14://<rest of the URI>

or in this example with

lpadmin -p ipp-printer -v ipp14://192.168.1.1/ipp

After that make sure the print queue is cleared and enabled:

cancel -a
cupsenable ipp-printer

and try to print. Does it work now?

2. Create a print queue with system-config-printer (click gear icon in the upper right, then choose "Printers" in the menu, or run the command "system-config-printer &" in a terminal window).

Click the "Add" button (with the green "+"), click "Network Printer" to open the network printer part, choose "Internet Printing Protocol (ipp14)", then enter the URI for your printer in the upper right, like

ipp14://192.168.1.1/ipp

Important is that you use the IP of your printer and that the URI starts with "ipp14://". Click "Forward", then manually choose manufacturer and model of the printer if needed, choose the driver if needed (the recommended one is pre-selected), "Forward", enter desired queue name and finish the wizard.

3. If you have a print queue with a "dnssd://..." URI you can find out the corresponding "ipp://..." URI by printing a job on it (job will not actually print on your printer) and then search your error_log for "ipp://...". Use this URI with the "ipp:" replaced by "ipp14:". Create an appropriate queue as described under 1. or 2..

Try to print on your new print queue now. It should work.

crf (chrisfahlman) wrote :

I tried adding a printer using this ipp14 uri and it worked.
There were some new errors about cms files in the log.

example:
E [09/Jun/2012:19:04:00 -0700] [cups-driverd] Bad driver information file "/usr/share/cups/model/samsung/cms/CLX-216x-1200x600cms"!
E [09/Jun/2012:19:04:00 -0700] [cups-driverd] Bad driver information file "/usr/share/cups/model/samsung/cms/CLX-216xcms"!
E [09/Jun/2012:19:04:00 -0700] [cups-driverd] Bad driver information file "/usr/share/cups/model/samsung/cms/CLP-310-600x600cms"!
E [09/Jun/2012:19:04:00 -0700] [cups-driverd] Bad driver information file "/usr/share/cups/model/samsung/cms/CLP-300cms"!

Thank you for testing. We will take the ipp14 backend addition into the second SRU of CUPS in Precise.

The errors are a bug in the printer driver, SpliX which is fixed upstream AFAIK. These errors do not break anything, so you can ignore them.

I have uploaded a new CUPS version, 1.5.3-0ubuntu2~ppa11 to my PPA now. Please upgrade to this version and now do another test with the "ipp://..." URI again (not the "ipp14://..." of comment #65). Does this work now? Please also with the "ipp://..." URI add "?version=1.1" or "?version=1.0" to the end of the device URI (example: "ipp://192.168.1.1/ipp?version=1.0"). Does one or both of these possibilities work? Please tell. If nothing works, return to using "ipp14://...".

To post a comment you must log in.